# $Revision: 1.33 $, $Date: 2006/05/15 15:58:23 $
#
# Conditional build:
%bcond_without	gui	# build without GTK gui
#
Summary:	Hardware Lister
Summary(pl):	Narzdzie wypisujce sprzt
Name:		lshw
Version:	B.02.08.01
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/ezix/%{name}-%{version}.tar.gz
# Source0-md5:	57c1bb0fec3543641c389726a8844307
URL:		http://ezix.org/project/wiki/HardwareLiSter
%{?with_gui:BuildRequires:	gtk+2-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
Requires:	pciutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton
on the hardware configuration of the machine. It can report exact
memory configuration, firmware version, mainboard configuration, CPU
version and speed, cache configuration, bus speed, etc. on DMI-capable
x86 systems and on some PowerPC machines (PowerMac G4 is known to
work).

Information can be output in plain text, XML or HTML.

It currently supports DMI (x86 only), OpenFirmware device tree
(PowerPC only), PCI/AGP, CPUID (x86), IDE/ATA/ATAPI, PCMCIA (only
tested on x86) and SCSI.

%description -l pl
lshw (Hardware Lister) to mae narzdzie majce udostpni szczegowe
informacje dotyczce sprztowej konfiguracji maszyny. Moe okreli
dokadn konfiguracj pamici, wersj firmware, konfiguracj pyty
gwnej, wersj i szybko CPU, konfiguracj cache, szybko szyny
itp. na systemach x86 obsugujcych DMI oraz niektrych maszynach
PowerPC (wiadomo, e dziaa na PowerMacu G4).

Informacje mog by podawane jako czysty tekst, XML lub HTML.

Aktualnie program obsuguje DMI (tylko x86), drzewo urzdze
OpenFirmware (tylko PowerPC), PCI/AGP, CPUID (x86), IDE/ATA/ATAPI,
PCMCIA (testowane tylko na x86) oraz SCSI.

%package gtk
Summary:	GTK+ version of lshw
Summary(pl):	lshw w wersji GTK+
Group:		Applications/System
Requires:	lshw

%description gtk
GTK+ version of lshw.

%description gtk -l pl
lshw w wersji GTK+.

%prep
%setup -q

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -I./core"

%if %{with gui}
%{__make} gui \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -I../core `pkg-config --cflags gtk+-2.0`"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with gui}
%{__make} install-gui \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/TODO docs/Changelog docs/lshw.xsd README
%attr(755,root,root) %{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*

%if %{with gui}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/gtk-%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lshw.spec,v $
Revision 1.33  2006/05/15 15:58:23  glen
- B.02.08.01

Revision 1.32  2006/05/15 15:55:51  glen
- new url

Revision 1.31  2006/03/13 21:02:20  maciek2w
- updated to B.02.07

Revision 1.30  2005/12/10 18:58:53  sparky
- added without gui bcond

Revision 1.29  2005/10/16 00:25:19  charles
- updated to B.02.06

Revision 1.28  2005/07/20 20:20:07  darekr
- added README to %doc

Revision 1.27  2005/07/20 19:03:12  orzech
- up to B.02.05.01

Revision 1.26  2005/04/28 19:19:38  paszczus
- updated to 02.04

Revision 1.25  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.24  2005/02/05 10:05:07  paszczus
- updated to B.02.03 ; STBR

Revision 1.23  2005/01/22 19:23:00  qboosh
- release 3

Revision 1.22  2005/01/22 17:36:17  qboosh
- cosmetics

Revision 1.21  2005/01/22 17:33:00  orzech
- simplified CXXFLAGS

Revision 1.20  2005/01/22 17:23:11  orzech
- gtk subpackage, rel.2, STBR

Revision 1.19  2005/01/21 18:55:29  paszczus
- updated to B.02.02

Revision 1.18  2005/01/09 14:36:17  paszczus
- updated to B.02.01

Revision 1.17  2004/12/21 15:47:26  adamg
- use osdn sourceforge.net mirror

Revision 1.16  2004/12/21 15:32:09  adamg
- updated to B.02.00

Revision 1.15  2004/12/07 16:54:01  adamg
- updated to A.01.09

Revision 1.14  2004/09/07 08:43:50  adamg
- pass CXX

Revision 1.13  2004/09/07 08:41:58  adamg
- updated to A.01.08

Revision 1.12  2004/05/12 11:03:46  wiget
- updated to A.01.07

Revision 1.11  2004/02/27 08:48:43  orzech
- up to A.01.06

Revision 1.10  2003/11/03 22:25:40  orzech
- up to A.01.05

Revision 1.9  2003/10/01 14:38:35  adamg
- updated to A.01.04

Revision 1.8  2003/08/12 10:19:47  wiget
- added missing BR

Revision 1.7  2003/08/12 10:04:46  orzech
- up to A.01.03

Revision 1.6  2003/06/16 05:30:04  adamg
- updated to A.01.02

Revision 1.5  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/14 20:23:53  orzech
- up to A.01.01 (>2GB RAM support)
- typo fixed

Revision 1.2  2003/04/13 22:08:18  qboosh
- pl

Revision 1.1  2003/04/13 07:00:03  orzech
- new
